This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 125266 - Installer crashes after formatting partitions
Installer crashes after formatting partitions
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 05:36 EDT by Andrew Hill
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 07:44:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anacdump.txt file generated by anaconda after crash (311.45 KB, text/plain)
2004-06-04 05:37 EDT, Andrew Hill
no flags Details
syslog file created by anaconda after crash (35.07 KB, text/plain)
2004-06-04 05:40 EDT, Andrew Hill
no flags Details

  None (edit)
Description Andrew Hill 2004-06-04 05:36:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
While installing RHEL 3 ES on a Dell PowerEdge 2650, via a kickstart
file, anaconda crashes after formatting the partitions.





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot Dell PE2650 using PXE to obtain IP address/RHEL 3 ES boot image.

2. Use ks.cfg file with configuration:

bootloader --location=mbr
clearpart --linux
part /boot --size=100 --asprimary
part swap --recommended --asprimary
part pv.01 --size=500 --grow --asprimary
volgroup vg01 pv.01
logvol / --vgname=vg01 --size=2000 --name=lv_root
logvol /home --vgname=vg01 --size=500 --name=lv_home
logvol /var --vgname=vg01 --size=21000 --name=lv_var
logvol /tmp --vgname=vg01 --size=1800 --name=lv_tmp
logvol /usr --vgname=vg01 --size=5000 --name=lv_usr
    

Actual Results:  Anaconda crashes after partitioning the
drives/formatting the partitions, with the following message:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1081, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/315542-i386/install//usr/lib/anaconda/text.py",
line 471, in run
  File
"/usr/src/build/315542-i386/install//usr/lib/anaconda/dispatch.py",
line 157, in gotoNext
  File
"/usr/src/build/315542-i386/install//usr/lib/anaconda/dispatch.py",
line 225, in moveStep
  File
"/usr/src/build/315542-i386/install//usr/lib/anaconda/packages.py",
line 492, in turnOnFilesystems
  File
"/usr/src/build/315542-i386/install//usr/lib/anaconda/fsset.py", line
1428, in mountFilesystems
  File
"/usr/src/build/315542-i386/install//usr/lib/anaconda/iutil.py", line
377, in copyDeviceNode
OSError: [Errno 2] No such file or directory: '/dev/vg01/lv_root'

Expected Results:  Expected install to continue.

Additional info:

Note that if the machine is rebooted, and the system is booted from
the CD-ROM, then all of the partitions have actually been created, and
formatted, and the installation can be carried out on the existing
partitions.

Note that the exact same partition configuration works on a Dell PE1750.
Comment 1 Andrew Hill 2004-06-04 05:37:55 EDT
Created attachment 100863 [details]
anacdump.txt file generated by anaconda after crash
Comment 2 Andrew Hill 2004-06-04 05:40:32 EDT
Created attachment 100864 [details]
syslog file created by anaconda after crash
Comment 3 Jeremy Katz 2004-06-04 10:34:22 EDT
Is this reproducible?  Is this with the original RHEL3 or one of the
update releases?
Comment 4 Andrew Hill 2004-06-04 16:34:39 EDT
Yes, it happens every time.

The PXE boot images were generated using the Enterprise Linux 3 ES
Update 2 CDROMs.
Comment 5 Jeremy Katz 2004-06-09 18:39:22 EDT
If you switch to tty2 at the poit of the crash, does /dev/vg01/lv_root
exist?
Comment 6 Andrew Hill 2004-06-15 05:33:57 EDT
At this stage, I cannot get the kickstart boot over PXE to proceed as
far as listed above - the installation dies immediately after
obtaining the hostname information stage with a "signal 11". Suspect
that there may be a NIC/switch error. Will confirm once I have another
Dell 2650 to test with (may be a few weeks away).
Comment 7 Andrew Hill 2004-06-15 05:35:00 EDT
Also, note that I am able to install the machine by using the original
CD-ROM to boot with, and by putting the kickstart file on a floppy disk...
Comment 8 Jeremy Katz 2005-02-01 18:30:24 EST
Did you have a chance to investigate with another machine?
Comment 9 Andrew Hill 2005-02-02 04:34:14 EST
Yes -- the machine died shortly after my last post, and after it was replaced,
the process worked fine, so I think this might have been a case of strange
hardware faults.

Note You need to log in before you can comment on or make changes to this bug.